Package dev.plex.listener.impl

# Class AdminListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.AdminListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class AdminListener extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`AdminListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAdminAdd(AdminAddEvent event)`
`void`
`onAdminRemove(AdminRemoveEvent event)`
`void`
`onAdminSetRank(AdminSetRankEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdminListener

public AdminListener()

## Method Details

### onAdminAdd

public void onAdminAdd(AdminAddEvent event)

### onAdminRemove

public void onAdminRemove(AdminRemoveEvent event)

### onAdminSetRank

public void onAdminSetRank(AdminSetRankEvent event)